VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::ovf::DeploymentOptionParams Class Reference

The `DeploymentOptionParams` class describes the possible deployment options as well as the choice provided by the user. More...

List of all members.

## Public Member Functions
| DeploymentOptionParams ()
| Creates a default new instance.
global::System.Collections.Generic.List < vmware.vcenter.ovf.DeploymentOption > | GetDeploymentOptions ()
| List of deployment options.
void | SetDeploymentOptions (global::System.Collections.Generic.List< vmware.vcenter.ovf.DeploymentOption > deploymentOptions)
| List of deployment options.
string | GetSelectedKey ()
| The selected deployment option.
void | SetSelectedKey (string selectedKey)
| The selected deployment option.
string | Get_Type ()
| Unique identifier describing the type of the OVF parameters.
void | SetType (string type)
| Unique identifier describing the type of the OVF parameters.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `DeploymentOptionParams` class describes the possible deployment options as well as the choice provided by the user.

This information based on the ovf:DeploymentOptionSection.

See LibraryItem.Deploy and LibraryItem.Filter

## Constructor & Destructor Documentation

vmware::vcenter::ovf::DeploymentOptionParams::DeploymentOptionParams | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::ovf::DeploymentOptionParams::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::ovf::DeploymentOptionParams::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::ovf::DeploymentOptionParams::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::ovf::DeploymentOptionParams::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::ovf::DeploymentOptionParams::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::ovf::DeploymentOptionParams::Equals | ( | object | obj | ) | `[inline]`

string vmware::vcenter::ovf::DeploymentOptionParams::Get_Type | ( |  | ) | `[inline]`

Unique identifier describing the type of the OVF parameters.

The value is the name of the OVF parameters class.

global::System.Collections.Generic.List<vmware.vcenter.ovf.DeploymentOption> vmware::vcenter::ovf::DeploymentOptionParams::GetDeploymentOptions | ( |  | ) | `[inline]`

List of deployment options.

This field corresponds to the ovf:Configuration elements of the ovf:DeploymentOptionSection in the specification. It is a discrete set of intended resource allocation configurations from which one can be selected.

override int vmware::vcenter::ovf::DeploymentOptionParams::GetHashCode | ( |  | ) | `[inline]`

string vmware::vcenter::ovf::DeploymentOptionParams::GetSelectedKey | ( |  | ) | `[inline]`

The selected deployment option.

Identifies the DeploymentOption in the list in the `deploymentOptions` field with a matching value in the DeploymentOption.key field.

void vmware::vcenter::ovf::DeploymentOptionParams::SetDeploymentOptions | ( | global::System.Collections.Generic.List< vmware.vcenter.ovf.DeploymentOption > | deploymentOptions | ) | `[inline]`

List of deployment options.

This field corresponds to the ovf:Configuration elements of the ovf:DeploymentOptionSection in the specification. It is a discrete set of intended resource allocation configurations from which one can be selected.

void vmware::vcenter::ovf::DeploymentOptionParams::SetSelectedKey | ( | string | selectedKey | ) | `[inline]`

The selected deployment option.

Identifies the DeploymentOption in the list in the `deploymentOptions` field with a matching value in the DeploymentOption.key field.

void vmware::vcenter::ovf::DeploymentOptionParams::SetType | ( | string | type | ) | `[inline]`

Unique identifier describing the type of the OVF parameters.

The value is the name of the OVF parameters class.

override string vmware::vcenter::ovf::DeploymentOptionParams::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- DeploymentOptionParams.cs